Skip to main content

Update Contract: Yardi REST

Beta
PUThttps://api.propexo.com/v1/contracts/yardi_rest/:contract_id
InterfaceMethod
Job Cost/ItfJobCost/ImportContract

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

contract_id stringrequired

The Propexo unique identifier for the contract

Request​

This endpoint expects an object.

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    start_datestringrequired

    The start date associated with the contract

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the contract

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    notesstring

    Notes associated with the contract

    expense_typestring

    The expense type of the contract. You'll have to request this data from your customer, but you can see a set of allowed values by reviewing the response of integration.configuration_meta_data

    retention_percentstring

    The retention percent of the contract. Must be a decimal number with only 2 places

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    contract_idstringrequired

    The Propexo unique identifier for the contract

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    start_datestringrequired

    The start date associated with the contract

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the contract

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    notesstring

    Notes associated with the contract

    expense_typestring

    The expense type of the contract. You'll have to request this data from your customer, but you can see a set of allowed values by reviewing the response of integration.configuration_meta_data

    retention_percentstring

    The retention percent of the contract. Must be a decimal number with only 2 places

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/contracts/yardi_rest/:contract_id
curl -X PUT https://api.propexo.com/v1/contracts/yardi_rest/:contract_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"vendor_id": "string",
"start_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"contract_id": "string",
"vendor_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"expense_type": "string",
"retention_percent": "string"
}
}